Tasks

Snooze Task

POST/v1/tasks/{taskId}/snooze
POST
/v1/tasks/{taskId}/snooze

Snooze a single task until a specified time

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

callOutcomestring

Call outcome for call tasks (optional)

Example: "no-answer"Value in: "Interested" | "Callback Later" | "Followup" | "Not Interested" | "Wrong Number" | "No Answer" | "Left Voicemail" | "Not In Service"

snoozeUntilstring

Date and time until which the task should be snoozed

Example: "2024-06-17T05:55:38.434Z"

Path Parameters

taskIdstring

Responses

200
Task snoozed successfully
{
  "message": "Task snoozed successfully",
  "payload": {
    "task": {
      "taskId": "lP0Zg2keMz",
      "status": "snoozed",
      "snoozedUntil": "2024-06-17T05:55:38.434Z",
      "callOutcome": "no-answer"
    }
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/tasks/{taskId}/snooze" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "callOutcome": "no-answer",
  "snoozeUntil": "2024-06-17T05:55:38.434Z"
}'

Response

No response body